module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_41202_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={sound_path=[[Magic/sound_magic_41202_0.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.01,
		},
		[5]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.19,
		},
		[6]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_510/Prefabs/510_buff.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=2,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=1.62,
		},
		[7]={
			args={
				alive_time=3,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_510/Prefabs/510_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=1.82,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=3.42,
		},
		[9]={
			args={
				alive_time=3,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_510/Prefabs/510_hit1.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=3.47,
		},
		[10]={
			args={
				alive_time=0.2,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_Green01.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=3.47,
		},
		[11]={args={},func_name=[[MagcAnimEnd]],start_time=4.3,},
		[12]={args={},func_name=[[End]],start_time=4.42,},
	},
	group_cmds={},
	magic_anim_end_time=4.3,
	magic_anim_start_time=0,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_510/Prefabs/510_buff.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_510/Prefabs/510_attack2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_510/Prefabs/510_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
